Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Service Oriented Architecture Tools Platform (STP) » stp project dependencies
stp project dependencies [message #374053] Fri, 06 April 2007 17:37 Go to next message
Kagan Turgut is currently offline Kagan TurgutFriend
Messages: 12
Registered: July 2009
Junior Member
i am about to dive into stp. my first goal is to be able to run the bpmn
modeler from my workspace.

i checked out all the plugins from cvsroot/stp to a fresh workspace.
i have emf 2.2.0 installed in my eclipse plugins directory.

i am planning to download the latest release 1.0.3(?) of gmf.

what is the minimal list of projects just to get the bpmn designer working?

it would be great if any one could point me to the list of required
projects for bpmn designer as well as other stp projects.

thanks in advance,
kagan
Re: [stp-newsgroup] stp project dependencies [message #374054 is a reply to message #374053] Fri, 06 April 2007 18:06 Go to previous message
Eclipse UserFriend
Originally posted by: atoulme.intalio.com

------=_Part_6658_28876559.1175882790266
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

I think you're all good. You need EMF 2.2.0, not 2.3, GMF 1.0.3, which comes
with the right version of GEF.

Then you should be able to install the BPMN plugins into your plugins
directory. And that should do it.

There was a post on the newsgroup about that too.

http://dev.eclipse.org/newslists/news.eclipse.stp/msg00077.h tml

Regards,

Antoine Toulme

On 4/6/07, Kagan Turgut <kagan.turgut@brane.com> wrote:
>
> i am about to dive into stp. my first goal is to be able to run the bpmn
> modeler from my workspace.
>
> i checked out all the plugins from cvsroot/stp to a fresh workspace.
> i have emf 2.2.0 installed in my eclipse plugins directory.
>
> i am planning to download the latest release 1.0.3(?) of gmf.
>
> what is the minimal list of projects just to get the bpmn designer
> working?
>
> it would be great if any one could point me to the list of required
> projects for bpmn designer as well as other stp projects.
>
> thanks in advance,
> kagan
> _______________________________________________
> stp-newsgroup mailing list
> stp-newsgroup@eclipse.org
> https://dev.eclipse.org/mailman/listinfo/stp-newsgroup
>



--
Intalio, the Open Source BPMS Company
<a href="http://www.intalio.com">http://www.intalio.com</a>
<a href="http://bpms.intalio.com">Community website: http://bpms.intalio.com</a>

------=_Part_6658_28876559.1175882790266
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

I think you&#39;re all good. You need EMF 2.2.0, not 2.3, GMF 1.0.3, which comes with the right version of GEF.<br><br>Then you should be able to install the BPMN plugins into your plugins directory. And that should do it.
<br><br>There was a post on the newsgroup about that too.<br><br><a href=" http://dev.eclipse.org/newslists/news.eclipse.stp/msg00077.h tml"> http://dev.eclipse.org/newslists/news.eclipse.stp/msg00077.h tml</a><br><br>Regards,
<br><br>Antoine Toulme<br><br><div><span class="gmail_quote">On 4/6/07, <b class="gmail_sendername">Kagan Turgut</b> &lt;<a href="mailto:kagan.turgut@brane.com">kagan.turgut@brane.com</a>&gt; wrote:</span><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">
i am about to dive into stp. my first goal is to be able to run the bpmn<br>modeler from my workspace.<br><br>i checked out all the plugins from cvsroot/stp to a fresh workspace.<br>i have emf 2.2.0 installed in my eclipse plugins directory.
<br><br>i am planning to download the latest release 1.0.3(?) of gmf.<br><br>what is the minimal list of projects just to get the bpmn designer working?<br><br>it would be great if any one could point me to the list of required
<br>projects for bpmn designer as well as other stp projects.<br><br>thanks in advance,<br>kagan<br>_______________________________________________ <br>stp-newsgroup mailing list<br><a href="mailto:stp-newsgroup@eclipse.org">
stp-newsgroup@eclipse.org</a><br><a href="https://dev.eclipse.org/mailman/listinfo/stp-newsgroup">https://dev.eclipse.org/mailman/listinfo/stp-newsgroup</a><br></blockquote></div><br><br clear="all"><br>-- <br>Intalio, the Open Source BPMS Company
<br>&lt;a href=&quot;<a href="http://www.intalio.com">http://www.intalio.com</a>&quot;&gt;<a href="http://www.intalio.com">http://www.intalio.com</a>&lt;/a&gt;<br>&lt;a href=&quot;<a href="http://bpms.intalio.com">http://bpms.intalio.com
</a>&quot;&gt;Community website: <a href="http://bpms.intalio.com">http://bpms.intalio.com</a>&lt;/a&gt;

------=_Part_6658_28876559.1175882790266--
Re: [stp-newsgroup] stp project dependencies [message #587410 is a reply to message #374053] Fri, 06 April 2007 18:06 Go to previous message
Eclipse UserFriend
Originally posted by: atoulme.intalio.com

------=_Part_6658_28876559.1175882790266
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

I think you're all good. You need EMF 2.2.0, not 2.3, GMF 1.0.3, which comes
with the right version of GEF.

Then you should be able to install the BPMN plugins into your plugins
directory. And that should do it.

There was a post on the newsgroup about that too.

http://dev.eclipse.org/newslists/news.eclipse.stp/msg00077.h tml

Regards,

Antoine Toulme

On 4/6/07, Kagan Turgut <kagan.turgut@brane.com> wrote:
>
> i am about to dive into stp. my first goal is to be able to run the bpmn
> modeler from my workspace.
>
> i checked out all the plugins from cvsroot/stp to a fresh workspace.
> i have emf 2.2.0 installed in my eclipse plugins directory.
>
> i am planning to download the latest release 1.0.3(?) of gmf.
>
> what is the minimal list of projects just to get the bpmn designer
> working?
>
> it would be great if any one could point me to the list of required
> projects for bpmn designer as well as other stp projects.
>
> thanks in advance,
> kagan
> _______________________________________________
> stp-newsgroup mailing list
> stp-newsgroup@eclipse.org
> https://dev.eclipse.org/mailman/listinfo/stp-newsgroup
>



--
Intalio, the Open Source BPMS Company
<a href="http://www.intalio.com">http://www.intalio.com</a>
<a href="http://bpms.intalio.com">Community website: http://bpms.intalio.com</a>

------=_Part_6658_28876559.1175882790266
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

I think you&#39;re all good. You need EMF 2.2.0, not 2.3, GMF 1.0.3, which comes with the right version of GEF.<br><br>Then you should be able to install the BPMN plugins into your plugins directory. And that should do it.
<br><br>There was a post on the newsgroup about that too.<br><br><a href=" http://dev.eclipse.org/newslists/news.eclipse.stp/msg00077.h tml"> http://dev.eclipse.org/newslists/news.eclipse.stp/msg00077.h tml</a><br><br>Regards,
<br><br>Antoine Toulme<br><br><div><span class="gmail_quote">On 4/6/07, <b class="gmail_sendername">Kagan Turgut</b> &lt;<a href="mailto:kagan.turgut@brane.com">kagan.turgut@brane.com</a>&gt; wrote:</span><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">
i am about to dive into stp. my first goal is to be able to run the bpmn<br>modeler from my workspace.<br><br>i checked out all the plugins from cvsroot/stp to a fresh workspace.<br>i have emf 2.2.0 installed in my eclipse plugins directory.
<br><br>i am planning to download the latest release 1.0.3(?) of gmf.<br><br>what is the minimal list of projects just to get the bpmn designer working?<br><br>it would be great if any one could point me to the list of required
<br>projects for bpmn designer as well as other stp projects.<br><br>thanks in advance,<br>kagan<br>_______________________________________________ <br>stp-newsgroup mailing list<br><a href="mailto:stp-newsgroup@eclipse.org">
stp-newsgroup@eclipse.org</a><br><a href="https://dev.eclipse.org/mailman/listinfo/stp-newsgroup">https://dev.eclipse.org/mailman/listinfo/stp-newsgroup</a><br></blockquote></div><br><br clear="all"><br>-- <br>Intalio, the Open Source BPMS Company
<br>&lt;a href=&quot;<a href="http://www.intalio.com">http://www.intalio.com</a>&quot;&gt;<a href="http://www.intalio.com">http://www.intalio.com</a>&lt;/a&gt;<br>&lt;a href=&quot;<a href="http://bpms.intalio.com">http://bpms.intalio.com
</a>&quot;&gt;Community website: <a href="http://bpms.intalio.com">http://bpms.intalio.com</a>&lt;/a&gt;

------=_Part_6658_28876559.1175882790266--
Previous Topic:stp project dependencies
Next Topic:service discovery in bpmn designer
Goto Forum:
  


Current Time: Fri Dec 19 08:15:41 GMT 2014

Powered by FUDForum. Page generated in 0.03109 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software